Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2021 年 5 月

2021 年 5 月 3 日公開 | 2021 年 5 月 4 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2021-05-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のリポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

これらの問題のうち最も重大度の高いものは、システム コンポーネントに重大なセキュリティの脆弱性があるため、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行できるようになるおそれがあることです。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づいています。プラットフォームやサービスでのリスク軽減策が、開発目的または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google Play プロテクトでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトを使って脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2021-05-01 の脆弱性の詳細

以下に、パッチレベル 2021-05-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0472 A-176801033 EoP 9、10、11
CVE-2021-0485 A-174302616 EoP 11
CVE-2021-0487 A-174046397 EoP 11

メディア フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0482 A-173791720 EoP 11
CVE-2021-0484 A-173720767 ID 8.1、9、10、11

システム

システムの最も重大な脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0473 A-179687208 RCE 重大 8.1、9、10、11
CVE-2021-0474 A-177611958 RCE 重大 8.1、9、10、11
CVE-2021-0475 A-175686168 RCE 重大 10、11
CVE-2021-0476 A-169252501 EoP 9、10、11
CVE-2021-0477 A-178189250 EoP 8.1、9、10、11
CVE-2021-0481 A-172939189 EoP 8.1、9、10、11
CVE-2021-0466 A-154114734 ID 10
CVE-2021-0480 A-174493336 ID 8.1、9、10、11

Google Play システム アップデート

今月は Google Play システム アップデート(プロジェクト Mainline)で対処されたセキュリティ問題はありません。

セキュリティ パッチレベル 2021-05-05 の脆弱性の詳細

以下に、パッチレベル 2021-05-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。

フレームワーク

フレームワークの脆弱性により、悪意のあるローカルアプリが、アプリデータを他のアプリから分離するオペレーティング システムの保護を回避するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2219 A-119041698 ID 11

カーネル コンポーネント

このコンポーネントの脆弱性により、ローカルの攻撃者によって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-29661 A-175451802
アップストリーム カーネル
EoP TTY

AMLogic

この脆弱性は AMLogic コンポーネントに影響を与えます。詳細については AMLogic から直接入手できます。この問題の重大度の評価は、AMLogic から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-0467 A-174490700* 重大 bootROM

ARM コンポーネント

これらの脆弱性は ARM コンポーネントに影響を与えます。詳細については ARM から直接入手できます。これらの問題の重大度の評価は、ARM から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-28663
A-174259860* Mali
CVE-2021-28664
A-174588870* Mali

MediaTek コンポーネント

これらの脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。これらの問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-0489 A-183464866
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0490
A-183464868
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0491 A-183461315
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0492 A-183459078
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0493
A-183461317
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0494 A-183461318
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0495 A-183459083
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0496 A-183467912
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0497 A-183461320
M-ALPS05403499*
メモリ管理ドライバ
CVE-2021-0498 A-183461321
M-ALPS05403499*
メモリ管理ドライバ

Unisoc コンポーネント

この脆弱性は Unisoc コンポーネントに影響を与えます。詳細については Unisoc から直接入手できます。この問題の重大度の評価は、Unisoc から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-0324 A-175402462* フレームワーク

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2021-1891 A-179039763
QC-CR#2766242 [2]
音声
CVE-2021-1905 A-178809945
QC-CR#2826864
ディスプレイ
CVE-2021-1927 A-179040600
QC-CR#2827356
カーネル
CVE-2021-1906 A-178810049
QC-CR#2835082
ディスプレイ

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-11273 A-172348952* クローズドソース コンポーネント
CVE-2020-11274
A-172348993* クローズドソース コンポーネント
CVE-2020-11279 A-172348857* クローズドソース コンポーネント
CVE-2020-11284 A-172348929* クローズドソース コンポーネント
CVE-2020-11285 A-172349029* クローズドソース コンポーネント
CVE-2020-11288 A-172348722* クローズドソース コンポーネント
CVE-2020-11289 A-172348852* クローズドソース コンポーネント
CVE-2021-1910 A-179039901* クローズドソース コンポーネント
CVE-2021-1915 A-172944461* クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2021-05-01 以降では、セキュリティ パッチレベル 2021-05-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2021-05-05 以降では、セキュリティ パッチレベル 2021-05-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2021-05-01]
  • [ro.build.version.security_patch]:[2021-05-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2021-05-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2021-05-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2021-05-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2021 年 5 月 3 日 情報公開
1.1 2021 年 5 月 4 日 公開情報を改訂し AOSP リンクを追加